=== debian/changelog ===
grass (6.4.4-1) unstable; urgency=medium

  [ M. Hamish Bowman ]
  * Packaged new upstream version, drop redundant patches.
  * Dropped version dependency on libgdal-dev for easier backports.
  * Added patch to fix Help-About parsing.

  [ Francesco Paolo Lovergine ]
  * Debhelper level set to 9. 
  * Vcs-* fields are now canonical to make lintian happy.
  * Added one more lintian override.

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar by default.
  * Restructure control file with cme, remove duplice section 'science',
    add ${misc:Depends} for grass, remove obsolete ored build dependencies.
  * Add myself to Uploaders.
  * Use {build,install}-arch targets in rules file.
  * Don't use hardening-includes, but dpkg-buildflags only.
  * Pass CPPFLAGS and LDFLAGS to configure for their hardening flags.
  * Add lintian overrides for hardening-no-fortify-functions false positives.
  * Move image files to /usr/share, symlink them from /usr/lib.
  * Add lintian overrides for image-file-in-usr-lib false positives.
  * Update copyright file using copyright-format 1.0.
  * Add wxpy3.0-compat.patch for wxPython 3.0 support, adapt for 6.4.4.
    Thanks to Olly Betts for the patch.
    (closes: #757308)
  * Add patch to remove the sheband from animate.tcl which is source instead
    of executed.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 23 Aug 2014 17:37:14 +0200
